From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pdfrw/
Date: Tue, 7 Nov 2023 19:22:52 +0000 (UTC) [thread overview]
Message-ID: <1699384967.f214406f165628a2872f41d7ade9f227aea12971.mgorny@gentoo> (raw)
commit: f214406f165628a2872f41d7ade9f227aea12971
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 7 19:18:30 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 7 19:22:47 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f214406f
dev-python/pdfrw: Modernize, PEP517, py3.12
Closes: https://bugs.gentoo.org/909927
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pdfrw/Manifest | 1 +
dev-python/pdfrw/pdfrw-0.4_p1-r1.ebuild | 67 +++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/dev-python/pdfrw/Manifest b/dev-python/pdfrw/Manifest
index 17ba1dd8c366..9825bf87acf8 100644
--- a/dev-python/pdfrw/Manifest
+++ b/dev-python/pdfrw/Manifest
@@ -1,2 +1,3 @@
+DIST pdfrw-0.4-1.gh.tar.gz 143615 BLAKE2B 281dc94c762dcc776e2c9c84609b59ca32387510bcfbec39271a6073533f9ad5d416cf4250b3dcd8564973d197ce090719c5561f58b972c89d463b90723ac8e6 SHA512 f2ef6a966cb1b947425679e6c16e658b5d1dbc13d62fb2e1edc278508b03f6c6847b3c83dab8bcd7df3438e587df066bc16b653461ae402bb8688ddb05f4e886
DIST pdfrw-0.4-1.tar.gz 143615 BLAKE2B 281dc94c762dcc776e2c9c84609b59ca32387510bcfbec39271a6073533f9ad5d416cf4250b3dcd8564973d197ce090719c5561f58b972c89d463b90723ac8e6 SHA512 f2ef6a966cb1b947425679e6c16e658b5d1dbc13d62fb2e1edc278508b03f6c6847b3c83dab8bcd7df3438e587df066bc16b653461ae402bb8688ddb05f4e886
DIST pdfrw-static_pdfs-d646009a0e3e71daf13a52ab1029e2230920ebf4.tar.gz 25243391 BLAKE2B 5c491d56c9731352907787bbe10b8b3ac362f0c7892ddcd15a1299d3b2b4bb604662f6231aa22478290992a345e769af2e2c2459a25a16c370ea05fa68101f80 SHA512 9bf1d5ddc8f55b40b50041e745579406bb0036fb7795ac40064aad7cdf592869051ba84a5ab080042e237690bb2f1811b86b2a4424535aa4c367f6e29a0c34eb
diff --git a/dev-python/pdfrw/pdfrw-0.4_p1-r1.ebuild b/dev-python/pdfrw/pdfrw-0.4_p1-r1.ebuild
new file mode 100644
index 000000000000..957493f44d34
--- /dev/null
+++ b/dev-python/pdfrw/pdfrw-0.4_p1-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+PDFS_COMMIT=d646009a0e3e71daf13a52ab1029e2230920ebf4
+DESCRIPTION="PDF file reader/writer library"
+HOMEPAGE="
+ https://github.com/sarnold/pdfrw/
+ https://pypi.org/project/pdfrw/
+"
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/sarnold/pdfrw.git"
+ EGIT_BRANCH="main"
+ inherit git-r3
+else
+ MY_PV="${PV/_p/-}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="
+ https://github.com/sarnold/pdfrw/archive/${MY_PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ test? (
+ https://github.com/pmaupin/static_pdfs/archive/${PDFS_COMMIT}.tar.gz
+ -> pdfrw-static_pdfs-${PDFS_COMMIT}.tar.gz
+ )
+ "
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+ S=${WORKDIR}/${MY_P}
+fi
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="crypt"
+
+RDEPEND="
+ crypt? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ )
+"
+
+# unittest would be sufficient but its output is unreadable
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use test; then
+ mv "static_pdfs-${PDFS_COMMIT}"/* "${MY_P}"/tests/static_pdfs || die
+ fi
+}
+
+src_prepare() {
+ eapply "${FILESDIR}/pdfrw-fix-import-collections-warning.patch"
+ eapply "${FILESDIR}/pdfrw-static-fix-import-collections-warning.patch"
+
+ distutils-r1_src_prepare
+}
next reply other threads:[~2023-11-07 19:22 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-07 19:22 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-10 13:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/pdfrw/ Michał Górny
2024-06-27 14:40 Petr Vaněk
2023-11-24 16:03 Michał Górny
2023-11-08 1:50 Sam James
2023-04-29 11:55 Arthur Zamarin
2023-04-14 6:49 Joonas Niilola
2023-04-14 5:59 Joonas Niilola
2023-02-17 8:12 Sam James
2021-08-19 11:44 Louis Sautier
2021-05-23 16:34 Michał Górny
2021-02-25 3:22 Sam James
2021-02-24 23:59 Sam James
2021-01-28 20:27 Steve Arnold
2020-04-20 20:41 Sergei Trofimovich
2020-04-20 8:05 Michał Górny
2020-04-20 7:42 Michał Górny
2020-04-20 7:42 Michał Górny
2020-04-20 7:42 Michał Górny
2020-03-28 11:44 Michał Górny
2020-03-28 11:44 Michał Górny
2020-03-28 11:44 Michał Górny
2020-03-25 15:42 Agostino Sarubbo
2020-03-25 14:17 Agostino Sarubbo
2018-06-09 14:15 Mart Raudsepp
2017-11-08 7:08 Patrick Lauer
2017-07-30 14:58 David Seifert
2016-01-14 17:10 Agostino Sarubbo
2015-10-14 16:25 Justin Lecher
2015-09-06 6:18 Jeroen Roovers
2015-09-01 19:19 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1699384967.f214406f165628a2872f41d7ade9f227aea12971.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox